Preliminary remark: Even if this would certainly be desirable, it should be noted that simulation models will generally have difficulties in predicting whether the infection will just continue to spread (technically: R slightly larger than 1), or just decrease (R slightly smaller than 1). What we can do better, however, is to predict which measures will roughly compensate each other. This is attempted in the following.

We have changed our simulations of "participation in activities" to what the data show us (discussed in the last report). This also means that the corresponding adjustment options in the visualizations are no longer necessary. With this approach, we can easily understand the hospital accesses and intensive care accesses in Berlin.

Overall, we interpret the situation as follows:

- We stick to the statement that the simulations leave little room for relaxation.
- Openings of schools, kindergartens, shopping facilities, etc. should therefore be largely accompanied by shift work, distance rules, masks, etc.
- Nevertheless, it should be noted that cautious easing, even if it were to go too far, would not lead to a situation similar to that in March. Instead, the rise would be much slower and the maximum of the wave much lower. If tested systematically, this could probably be observed in time, and compensated for by reversing the easing.
- Wearing fabric masks across the board makes a clearly noticeable contribution, but does not replace the other measures. Wearing FFP masks across the entire body brings the dynamics of infection to a standstill. Surgical masks (of course) lie in between, but would in any case be significantly better than fabric masks.
- Contact tracing would make a significant contribution, but would not replace the other measures (including masks). A prerequisite (apart from the technical challenges) would be that test results would be available no later than 3 days after the onset of symptoms. However, the exact effect depends on the details; we will investigate this further.
- According to our simulations, small cities have fewer problems than large ones, so according to our simulations they could lead the way in case of loosening. For this reason, the model can also be used to justify the decided regional consideration of individual measures.
- Incidentally, the dark figures quoted by Steeck also correspond very roughly to those that we have to assume in our models in order to arrive at the observed hospital values together with the usual disease progression models.

Further results and explanations of the methodology can be found at https://matsimvsp.github.io/covid-sim/ . However, the above-mentioned results are currently only available via the above-mentioned direct links; we are working on better commentary and release.

With systematic testing, this could probably also be achieved in time.
