Travel returnees can carry infections to Germany. We examine this in our agent-based model. The main result is that the import of infections at the current level makes a very significant contribution to the current number of new infections. The measures to reduce infections are thus confirmed by the simulation.

So-called **superspreading events** are discussed from time to time. We show initial results of the agent-based model, in which methods discussed in the literature for improving the efficiency of contact tracing also work in the simulations. We will investigate this further.

To better analyze the impact of **contact tracing**, we have improved our existing mathematical model in this area. Based on this extended model, we can now show that increased contact tracing results in a reduced infection rate.

All in all, the following summarizes our point of view:

- If we want to avoid high numbers of new infections and at the same time get by with relatively few restrictions, **contact tracing remains the most important component**. Its capacities must not be exhausted under any circumstances. In addition, there is further potential for optimization here, which we have indicated in this report and will examine more closely in the future.

- In the current state of the pandemic, our simulations show that contact tracing alone will not be sufficient to keep the number of new infections low. The situation will become much more difficult due to travel returners, school openings, and the return of activities to indoor environments (see previous report from July 24, 2020 (see Müller et al. 2020b)). It will therefore be necessary to support contact tracing with additional measures, especially the relocation of normally in-home activities and the wearing of masks, to prevent a further exponential increase in the number of cases.

- We continue to expect that even without a vaccine, the situation will then ease with the shift to outdoor activities towards summer 2021.
