The rapid increase in the proportion of infections caused by the B.1.1.7 mutation can only be reconciled with our model if we assume a significantly higher transmissibility than before (100% more instead of the previously assumed 30-70%). Compared to the last report, this leads to a much more problematic situation, with the prediction that from the beginning of March, B.1.1.7 will be dominant, and even if current measures are maintained a "third wave" will follow.

To avoid this third wave and still manage without further tightening of measures, we are investigating the widespread use of rapid tests. The general result is that the broad use of rapid tests has a very strong infection-reducing effect, and therefore can be combined with mild relaxations even in the presence of B.1.1.7, as long as they are targeted. As always, we make quantitative predictions for differentiated strategy building blocks. A key mnemonic rule for the application of these building blocks would be that indoor contacts with people from outside one's household should only occur with protective measures.

For the time being, we consider the opening of indoor restaurants (incl. bars/pubs/etc.) to be irresponsible: here, the combination of spatial confinement, loud talking, the impossibility of requiring masks because of the consumption of food/drinks, and relatively long duration of stay is so unfavorable that opening them would result in a very significant increase in the infection dynamic. Instead, we recommend focusing on outdoor catering, which is much less problematic. This would also satisfy the requirement for plannability.

We simulate staged plans based on incidence thresholds. As expected from a theoretical perspective, this leads to a sequence of openings and closings. An alternative would be to design the openings right away in such a way that the reinfection rate R remains permanently below 1. The widespread use of the above-mentioned rapid tests would be an essential tool for this purpose.

Our mathematical model has been further developed so that it can now calculate so-called Pareto-optimal solutions. These are solutions where one of the target criteria (e.g. reduction of infections) can be improved only at the expense of another (e.g. reduction of socio-economic damage). This thus describes the trade-offs that exist between different options.
