The mobility data available to us show a differentiated picture of activity during the last few weeks: increased activity outdoors before Easter, increased activity indoors during the Easter holidays, and since then a lowered activity level again compared to the end of February. In particular, the good weather before Easter likely resulted in fewer infections than would have been feared from the overall higher activity level, by shifting activities from indoors to outdoors (see Section 2, p.2).

In our analysis of the measures currently in place, we focus on Berlin. The measures ordered there address the three critical areas of work, schools, and private visits. According to our simulations, if all of these measures were fully effective and warmer weather shifted additional leisure activities from indoors to outdoors, this could almost be enough overall to push the R-value below 1. However, since current weather forecasts tend to favor cooler weather, it is imperative that additional measures be taken as soon as possible (see Section 4, p. 3).

Next we shed light on the consequences of different combinations of measures on the intensive care units. For almost every combination calculated, their load will be higher than at the beginning of January. At the workplace, tt would be helpful to have a continuous FFP2 mask obligation if several persons are there at the same time; very effective would be an almost complete ban on private visits, as e.g. introduced in Great Britain on January 5 (cf. section 5, p. 6).

Based on the above, the only "hard but short" lockdown that can really be considered is the almost complete ban on private contacts; only this measure would reduce very significantly the infection figures within three weeks. Even so, a complete reopening is not possible afterwards: even with a still-reduced activity level of 80%, we would get a fourth wave after the reopening. Thus, the three weeks would have to be used to establish infection-reducing measures, e.g., a coherent rapid testing regime and systems for digital contact tracing (see Sections 6 and 7, p. 7).

Using a mathematical model, we examine the effects of openings after the vaccination campaign has ended. Again, we find that even a full vaccination of all those willing to be vaccinated (assumed to be 80% of the Berlin population) will still not be sufficient to prevent a renewed - albeit much shallower - wave in subsequent openings. What is particularly worrying about this is that this wave -- because the vaccine is known to not always be 100% effective -- will also lead to intensive care episodes for a considerable number of vaccinated persons. A strategy that goes beyond the end of the vaccination campaign will therefore be necessary here (cf. Section 10, p. 9).
