Mobility data from recent weeks show that the level of out-of-home activity has continued to rise overall. However, this trend does not apply to nighttime activity, which has been largely constant since mid-November. The effect of the curfew varies locally: for example, it is clearly evident in the data from Cologne, while no significant changes can be seen in Berlin (see Section 2, p. 2).

Given the high pace of vaccination and the warmer weather, there is opportunity for openings. We formulate four criteria with which to evaluate possible opening measures: (1) they take place outside; (2) there is a low density of people; (3) protective measures are followed (rapid test & mask or vaccination); (4) there is no loud singing, yelling, cheering, etc. We consider activity types that meet at least three of these four criteria to be acceptable. Activity types that fulfill just one of the four criteria should be postponed until all other activities that contribute less to infection events can be opened (see Section 3, p. 4).

We are investigating the effect of so-called "vaccine escape" mutations on future infection events (see Section 4, p. 5). With these types of mutations, it is plausible that vaccinated individuals could act as vectors, even if severe disease progression is very rarely expected in them. This can lead to a supercritical transmission dynamic that covers a large part of the population. Unimmunized individuals may then develop severe courses of disease with the same probabilities as before, which could again place a high burden on the health care system. We discuss and evaluate different measures to avoid this. Two important lessons from our simulations are to keep critical infrastructure in place or be able to activate it quickly if needed, in order to:

- Provide the vaccine-prepared population with an adjusted booster vaccination within a few weeks. We recommend a period of 4 weeks; this corresponds to a vaccination rate of 2% of the population per day, which should be feasible under favorable conditions (sufficient vaccine and involvement of sufficient medical personnel).
- Be able to offer (rapid) testing on a large scale to population groups or to make masking compulsory. This is especially true for schools and universities.

Finally, we use our ODE model to explore some longer-term scenarios for Germany as a whole (see Section 6, p. 8).
