The following points are urgent and important:

- Infection incidences and intensive incidences need to be tracked separately for Omicron and reported in a timely manner.
- Crisis teams at all levels (including federal) should prepare for rapid growth in incidences, and prepare options for action.
- In particular, preparations should be made to possibly reduce indoor contacts for non-household persons to an absolute minimum - with appropriate exceptions.

---

Infection figures are currently declining slowly; the recent measures taken are having an effect against the Delta variant. However, incidences remain at a high level and hospitals are under heavy strain (see section 2, p. 2).

The new Omicron variant will change the situation and displace Delta due to its high contagiousness. For pandemic control, it is important to report Omicron incidence separately, both for infections and for intensive care admissions (cf. Section 3, p. 4).

As in the past, there is a risk that the rapid spread of Omicron will increase the number of severe courses so rapidly that it will overload intensive care units. Another possibility is that Omicron could result in fewer severe courses. The greatest risk then would be a threat to the security of supply because of too many concurrent illnesses, combined with a correspondingly large number of quarantine cases. We describe how the relevant indicators can be closely monitored, and at what point and why the growth of incidences should be stopped (see Section 3, p. 4).

Furthermore, we calculate the effect of different courses of action to stop the growth of incidences under Omicron (cf. Section 4, p. 4). It will be necessary to place a special focus on the indoor maskless contacts that are currently still occurring, especially in the home. Because vaccination from further back in time hardly helps against transmission of Omicron, exceptions for people who were vaccinately early are definitely not possible here. We show under which conditions a massive testing strategy in the recreational area could be successful, and when a contact ban in private households (analogous to the United Kingdom at the beginning of 2021 as well as Austria in recent weeks) as well as a closure of public recreational facilities becomes necessary. These measures can and should be flanked by measures in more regulable areas (labor, retail, schools).
