## v5: School Reopening Options (2)

Here we describe the effects of reopening society at various levels for work, school, leisure and other activities.

- The simulations refer to the **Berlin** region (Berlin city plus some surroundings).
- Berlin Reported Cases are from [RKI](https://npgeo-corona-npgeo-de.hub.arcgis.com/datasets/dd4580c810204019a7b8eb3e0b329dd6_0). For many cases, a delay between infection and reporting may occur.
- On **day 26** (ca. sat/14/mar), 10% of leisure acts are banned (corresponding to the closure of theaters, etc.). Also, schools / kindergarten / universities are closed. 10 percent of kita and primary-aged children still go to kita / primary schools (Notbetrieb).
- On **day 35** (ca. mon/23/mar), work, shopping, errands and business are reduced, corresponding to the currently valid "Kontaktsperre"; the percentage of work, leisure, shopping, errands and business activities still occuring after **day 35** can be set.
- Educational facilities can be reopened on **day 63** (ca. mon/20/apr).

[Google COVID-19 Mobility report](https://google.com/covid19/mobility) shows for Berlin after day 35:

- retail & recreation down by about 70% (i.e. at about **30%**)
- grocery & pharmacy down by about 20% (i.e. at about **80%**)
- parks down by about 20% (i.e. at about **80%**)
- workplace down by about 40% (i.e. at about **60%**)
  Other than google, we do not take the last day, but take visual averages over about a week.

The best approximation to this with our options below would be:

- **leisure** at **20%** (with the assumption that parks do not contribute that much to infections)
- **work** at **60%**
- **shopping** at **40%**
- **errands & business** at **40%**

If one assumes that the capacity of the Berlin system for critical COVID cases is about 1000, then one finds that there is scant little room to relax restrictions.

Or alternatively: The currently "blunt" restrictions would need to be replaced by something smarter.

This version was used in part to brief the BMBF on Apr/9 about school re-opening options.

What has changed comparing to v4?

- destination (school) choice of school population
- include school attendees in the whole model area (not only inside Berlin city)
