## v7: Re-opening Scenarios

_Published 22 April 2020_

Here we depict the effects of reopening society at various levels for work, school, leisure and other activities.

- Simulations are for **Berlin**, **Munich**, and **Heinsberg** regions (each city plus some surroundings).
- Real-world infections are from [Robert Koch Institute (RKI)](https://npgeo-corona-npgeo-de.hub.arcgis.com/datasets/dd4580c810204019a7b8eb3e0b329dd6_0). For many cases, a delay between infection and reporting may occur.
- For Heinsberg, the following activity restrictions are included:
  - On **February 26**, schools are closed and other activities restricted.
  - Educational facilities can be reopened on **April 20**.

{{PLOTS}}

[Google COVID-19 Mobility report](https://google.com/covid19/mobility) shows for Berlin after March 23:

- retail & recreation down by about 70% (i.e. at about **30%**)
- grocery & pharmacy down by about 20% (i.e. at about **80%**)
- parks down by about 20% (i.e. at about **80%**)
- workplace down by about 40% (i.e. at about **60%**)
  Other than google, we do not take the last day, but take visual averages over about a week.

The best approximation to this with our options below would be:

- **leisure** at **20%** (with the assumption that parks do not contribute that much to infections)
- **work** at **60%**
- **shopping** at **40%**
- **errands & business** at **40%**

If one assumes that the capacity of the Berlin system for critical COVID cases is about 1000, then one finds that there is scant little room to relax restrictions.

Or alternatively: The currently "blunt" restrictions would need to be replaced by something smarter.
